Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ka2ddo.yaac.gui.osm
Enum GuiOsmConstants.StrokeEnum

    java.lang.Object
      java.lang.Enum<GuiOsmConstants.StrokeEnum>
          org.ka2ddo.yaac.gui.osm.GuiOsmConstants.StrokeEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GuiOsmConstants.StrokeEnum>

Enclosing class:
  GuiOsmConstants

    public static enum GuiOsmConstants.StrokeEnum

extends java.lang.Enum<GuiOsmConstants.StrokeEnum>

Enumeration identifying different types of stroke styles used for rendering.

Enum Constant Summary
`DASH`
`DASH_DOT`
`DOT`
`DW_SOLID`
`SOLID`
`W_SOLID`

Method Summary
`java.awt.Stroke` | `getStroke()` Get an instance of Stroke associated with this enum instance.
`static GuiOsmConstants.StrokeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GuiOsmConstants.StrokeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SOLID

    public static final GuiOsmConstants.StrokeEnum SOLID

### DASH

    public static final GuiOsmConstants.StrokeEnum DASH

### DOT

    public static final GuiOsmConstants.StrokeEnum DOT

### DASH_DOT

    public static final GuiOsmConstants.StrokeEnum DASH_DOT

### W_SOLID

    public static final GuiOsmConstants.StrokeEnum W_SOLID

### DW_SOLID

    public static final GuiOsmConstants.StrokeEnum DW_SOLID

Method Detail

### values

    public static GuiOsmConstants.StrokeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GuiOsmConstants.StrokeEnum c : GuiOsmConstants.StrokeEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GuiOsmConstants.StrokeEnum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getStroke

    public java.awt.Stroke getStroke()

  Get an instance of Stroke associated with this enum instance.

  Returns:
    Stroke object for this enum value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD